<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
            <h:outputText value="Crear nueva Ciudad"></h:outputText>
        </ui:define>
        <ui:define name="bodys">
<!--            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>-->
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateCiudadLabel_ciudadNombre}" for="ciudadNombre" />
                    <h:inputText id="ciudadNombre" value="#{ciudadController.selected.ciudadNombre}" title="#{bundle.CreateCiudadTitle_ciudadNombre}" required="true" requiredMessage="#{bundle.CreateCiudadRequiredMessage_ciudadNombre}"/>
                    <h:outputLabel value="#{bundle.CreateCiudadLabel_ciudadCodPost}" for="ciudadCodPost" />
                    <h:inputText id="ciudadCodPost" value="#{ciudadController.selected.ciudadCodPost}" title="#{bundle.CreateCiudadTitle_ciudadCodPost}" />
                    <h:outputLabel value="#{bundle.CreateCiudadLabel_ciudadDepartamentoId}" for="ciudadDepartamentoId" />
                    <h:selectOneMenu id="ciudadDepartamentoId" value="#{ciudadController.selected.ciudadDepartamentoId}" title="#{bundle.CreateCiudadTitle_ciudadDepartamentoId}" required="true" requiredMessage="#{bundle.CreateCiudadRequiredMessage_ciudadDepartamentoId}">
                        <f:selectItems value="#{departamentosController.departamentos}" var="departamentos" itemLabel="#{departamentos.departamentoNombre}" />
                    </h:selectOneMenu>
                </h:panelGrid>
                <br />
               <p:commandButton action="#{ciudadController.create}" value="#{bundle.CreateCiudadSaveLink}" process="@this"
                                  ajax="false" update=":lista_ciudades:tablaCiudades"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
